Package org.eclipse.birt.report.model.api.elements.structures

# Class Rule

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.Rule

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class Rule extends org.eclipse.birt.report.model.core.Structure
This class represents one rule. Each rule has the following properties:

rule expression
  The expression to define the static value.
display expression
  The expression to give the display value for this static value

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DISPLAY_EXPRE_MEMBER`
Name of the member which gives the display value for the static value.
`protected Expression`
`displayExpre`
Display value.
`static final String`
`RULE_EXPRE_MEMBER`
Name of the member which defines the static value.
`static final String`
`RULE_STRUCTURE`
Name of this structure.
`protected Expression`
`ruleExpre`
Static value.

## Constructor Summary

Constructors
Constructor
Description
`Rule()`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getStructName()`
Returns the name of the structure definition.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RULE_STRUCTURE

public static final String RULE_STRUCTURE
Name of this structure. Matches the definition in the meta-data dictionary.

See Also:
  - Constant Field Values

### RULE_EXPRE_MEMBER

public static final String RULE_EXPRE_MEMBER
Name of the member which defines the static value.

See Also:
  - Constant Field Values

### DISPLAY_EXPRE_MEMBER

public static final String DISPLAY_EXPRE_MEMBER
Name of the member which gives the display value for the static value.

See Also:
  - Constant Field Values

### ruleExpre

protected Expression ruleExpre
Static value.

### displayExpre

protected Expression displayExpre
Display value.

## Constructor Details

### Rule

public Rule()

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value